[arch-commits] Commit in fam/repos (3 files)

Allan McRae allan at archlinux.org
Sat Oct 18 01:59:29 UTC 2008


    Date: Friday, October 17, 2008 @ 21:59:29
  Author: allan
Revision: 15741

Fixes FS#10942

Added:
  fam/repos/extra-i686/fam-2.7.0-gcc43.patch
    (from rev 15740, fam/trunk/fam-2.7.0-gcc43.patch)
Modified:
  fam/repos/extra-i686/	(properties)
  fam/repos/extra-i686/PKGBUILD

-----------------------+
 PKGBUILD              |   36 +++++++++++++++++++-----------------
 fam-2.7.0-gcc43.patch |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+), 17 deletions(-)


Property changes on: fam/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /fam/trunk:1
   + /fam/trunk:1-15740

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-18 01:55:43 UTC (rev 15740)
+++ extra-i686/PKGBUILD	2008-10-18 01:59:29 UTC (rev 15741)
@@ -1,35 +1,38 @@
 # $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Allan McRae <allan at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 pkgname=fam
 pkgver=2.7.0
-pkgrel=10
+pkgrel=11
 pkgdesc="File Alteration Monitor - used by KDE, GNOME and others"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('LGPL' 'GPL')
-depends=('portmap' 'gcc-libs')
+depends=('portmap')
 url="http://oss.sgi.com/projects/fam/"
 backup=(etc/fam/fam.conf)
-options=('!makeflags')
+options=('!makeflags') # Don't !libtool
 source=(ftp://oss.sgi.com/projects/fam/download/stable/${pkgname}-${pkgver}.tar.gz
 	fam-2.7.0-dnotify.patch
 	fam-2.7.0-largefiles.patch
+	fam-2.7.0-noc++.patch
+	fam-2.7.0-gcc43.patch
 	include_fam_h.patch
-	fam
-	fam-2.7.0-noc++.patch)
+	fam)
 md5sums=('1bf3ae6c0c58d3201afc97c6a4834e39'
          '073d1763318344635ea316293390205c'
          '47b41e0b0498793af004696a096d7da1'
+         '0274cd113d3dcb015653b5606c7714ac'
+         '13c14778038aa9601a27498448e855e0'
          '2638b8ffacb9f03b6e438e08ea7b290a'
-         '45b648907ba1c7edec17fb544f1f4a13'
-         '0274cd113d3dcb015653b5606c7714ac')
+         '45b648907ba1c7edec17fb544f1f4a13')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/fam-2.7.0-dnotify.patch || return 1
-  patch -Np1 -i ${startdir}/src/fam-2.7.0-largefiles.patch || return 1
-  patch -Np0 -i ${startdir}/src/include_fam_h.patch || return 1
-  patch -Np1 -i ${startdir}/src/fam-2.7.0-noc++.patch || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/fam-2.7.0-dnotify.patch || return 1
+  patch -Np1 -i ${srcdir}/fam-2.7.0-largefiles.patch || return 1
+  patch -Np0 -i ${srcdir}/include_fam_h.patch || return 1
+  patch -Np1 -i ${srcdir}/fam-2.7.0-noc++.patch || return 1
+  patch -Np1 -i ${srcdir}/fam-2.7.0-gcc43.patch || return 1
 
   chmod 755 configure || return 1
 
@@ -41,7 +44,6 @@
 
   ./configure --prefix=/usr --sysconfdir=/etc/fam
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  install -D -m755 ../fam ${startdir}/pkg/etc/rc.d/fam
-  # Don't libtoolslay fam, gamin shouldn't be slayed either
+  make DESTDIR=${pkgdir} install
+  install -D -m755 ../fam ${pkgdir}/etc/rc.d/fam
 }

Copied: fam/repos/extra-i686/fam-2.7.0-gcc43.patch (from rev 15740, fam/trunk/fam-2.7.0-gcc43.patch)
===================================================================
--- extra-i686/fam-2.7.0-gcc43.patch	                        (rev 0)
+++ extra-i686/fam-2.7.0-gcc43.patch	2008-10-18 01:59:29 UTC (rev 15741)
@@ -0,0 +1,46 @@
+diff -Naur fam-2.7.0-old/include/BTree.h fam-2.7.0/include/BTree.h
+--- fam-2.7.0-old/include/BTree.h	2003-01-20 14:22:30.000000000 +1000
++++ fam-2.7.0/include/BTree.h	2008-10-18 10:43:11.000000000 +1000
+@@ -23,6 +23,8 @@
+ #ifndef BTree_included
+ #define BTree_included
+ 
++#include <cstdlib>
++
+ #include "Boolean.h"
+ 
+ //  This is an in-core B-Tree implementation.
+diff -Naur fam-2.7.0-old/src/DNotify.c++ fam-2.7.0/src/DNotify.c++
+--- fam-2.7.0-old/src/DNotify.c++	2008-10-18 10:33:13.000000000 +1000
++++ fam-2.7.0/src/DNotify.c++	2008-10-18 10:41:22.000000000 +1000
+@@ -31,6 +31,7 @@
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ #include <libgen.h>
++#include <cstdlib>
+ 
+ #include "DNotify.h"
+ 
+diff -Naur fam-2.7.0-old/src/IMon.c++ fam-2.7.0/src/IMon.c++
+--- fam-2.7.0-old/src/IMon.c++	2003-01-19 00:18:12.000000000 +1000
++++ fam-2.7.0/src/IMon.c++	2008-10-18 10:40:21.000000000 +1000
+@@ -40,7 +40,7 @@
+ #include "Interest.h"
+ #include "Log.h"
+ #include "Scheduler.h"
+-#include "alloc.h"
++#include <memory>
+ 
+ int		   IMon::imonfd = -2;
+ IMon::EventHandler IMon::ehandler = NULL;
+diff -Naur fam-2.7.0-old/src/Interest.h fam-2.7.0/src/Interest.h
+--- fam-2.7.0-old/src/Interest.h	2008-10-18 10:33:13.000000000 +1000
++++ fam-2.7.0/src/Interest.h	2008-10-18 10:40:44.000000000 +1000
+@@ -23,6 +23,7 @@
+ #ifndef Interest_included
+ #define Interest_included
+ 
++#include <cstdlib>
+ #include <sys/stat.h>
+ #include <sys/types.h>
+ #include <sys/time.h>




More information about the arch-commits mailing list